BSON_ITER_DUP_UTF8(3)

SYNOPSIS

            char *
            bson_iter_dup_utf8 (const bson_iter_t *iter, uint32_t *length);

PARAMETERS

    •   iter: A bson_iter_t.

    •   length: An optional location for the length of the UTF-8 encoded string.

DESCRIPTION

This function is similar to bson_iter_utf8() except that it calls bson_strndup() on the result.

RETURNS

A newly allocated string that should be freed with bson_free().

AUTHOR
MongoDB, Inc

COPYRIGHT
2009-present, MongoDB, Inc.